/* --------------------------------- keydef.h ------------------------------- */

/* This is part of the flight simulator 'fly8'.
 * Author: Eyal Lebedinsky (eyal@ise.canberra.edu.au).
*/

/* These are the internal names of the keys.
*/

/* shift modes: */

#define	K_SPECIAL	0x0100
#define	K_QUOTE		0x0200
#define	K_SHIFT		0x0400
#define	K_CTRL		0x0800
#define	K_ALT		0x1000

/* some ASCII codes: */

#define K_ESC		27
#define K_ENTER		13
#define K_RUBOUT	8
#define K_DEL		0x07f

/* special keys: */

#define K_F1		(1  | K_SPECIAL)
#define K_F2		(2  | K_SPECIAL)
#define K_F3		(3  | K_SPECIAL)
#define K_F4		(4  | K_SPECIAL)
#define K_F5		(5  | K_SPECIAL)
#define K_F6		(6  | K_SPECIAL)
#define K_F7		(7  | K_SPECIAL)
#define K_F8		(8  | K_SPECIAL)
#define K_F9		(9  | K_SPECIAL)
#define K_F10		(10 | K_SPECIAL)
#define K_F11		(11 | K_SPECIAL)
#define K_F12		(12 | K_SPECIAL)

#define K_LEFT		(13 | K_SPECIAL)
#define K_RIGHT		(14 | K_SPECIAL)
#define K_UP		(15 | K_SPECIAL)
#define K_DOWN		(16 | K_SPECIAL)
#define K_PGUP		(17 | K_SPECIAL)
#define K_PGDN		(18 | K_SPECIAL)
#define K_HOME		(19 | K_SPECIAL)
#define K_END		(20 | K_SPECIAL)

#define K_INS		(21 | K_SPECIAL)

#define K_CENTER	(22 | K_SPECIAL)

